Table of Contents

## Name

XPolygonRegion, XClipBox - generate regions

## Syntax

Region XPolygonRegion(XPoint points[], int n, int
  fill_rule);
int XClipBox(Region r, XRectangle *rect_return);

## Arguments

Specifies the fill-rule you want to set for the specified GC. You can pass EvenOddRule or WindingRule.

Specifies the number of points in the polygon.

Specifies an array of points.

Specifies the region.

Returns the smallest enclosing rectangle.

## Description

The XPolygonRegion function returns a region for the polygon defined by the points array. For an explanation of fill_rule, see XCreateGC.

The XClipBox function returns the smallest rectangle enclosing the specified region.

## See Also

XCreateGC(3X11) , XDrawPoint(3X11) , XDrawRectangle(3X11)
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also